Subject: Re: bug#10085: 24.0.91; completion-pcm--find-all-completions returns wrong remote file names

From: Michael Albinus <[email-masked]>
Date: Wed, 23 Nov 2011 07:43:16 +0100

Stefan Monnier <[email-masked]> writes:

>> `expand-file-name' seems to access the remote host. This can be
>> suppressed by let-binding of `non-essential' to t.
>
> I think adding non-essential to rfn-eshadow.el would be even more
> correct (but it doesn't fix the underlying problem).

Shall I submit such a patch towards rfn-eshadow.el, for the sake of the
upcoming release?

Honestly, I do not understand in detail the "underlying problem". I
guess we need to find out, what are separators in Tramp wrt completion
tables, and how to handle them. Note, that I'm re-introducing multi-hops
in Tramp these days (outside the Emacs trunk), which introduces another
separator "|". Likely, the "underlying problem" will be more evident then.

>         Stefan

Best regards, Michael.